Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Interface ComponentRequestHandler

All Known Implementing Classes:
  ComponentRequestHandlerTerminator

    @UsesOrderedConfiguration(value=ComponentRequestFilter.class)
    public interface ComponentRequestHandler

A facade around `ComponentEventRequestHandler` and `PageRenderRequestHandler` that allows for simplified filters that cover both types of requests.

Since:
  5.1.0.0

Method Summary
`void` | `handleComponentEvent(ComponentEventRequestParameters parameters)` Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).
`void` | `handlePageRender(PageRenderRequestParameters parameters)` Invoked to activate and render a page.

Method Detail

### handleComponentEvent

    void handleComponentEvent(ComponentEventRequestParameters parameters)
                              throws java.io.IOException

  Handler for a component action request which will trigger an event on a component and use the return value to send a response to the client (typically, a redirect to a page render URL).

  Parameters:
    `parameters` - defining the request
  Throws:
    `java.io.IOException`

### handlePageRender

    void handlePageRender(PageRenderRequestParameters parameters)
                          throws java.io.IOException

  Invoked to activate and render a page. In certain cases, based on values returned when activating the page, a `ComponentEventResultProcessor` may be used to send an alternate response (typically, a redirect).

  Parameters:
    `parameters` - defines the page name and activation context
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.